- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.savedColumnSets/list#body.aspect_1)

**Full name**: projects.locations.instances.savedColumnSets.list

Endpoint for listing the saved column sets. It will return all private + public saved column sets for the requested user and all public saved column sets for the other users within the instance.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/savedColumnSets`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The ID of the instance to list SavedColumnSets for. Format: projects/{project}/locations/{location}/instances/{instance} projects/{project}/locations/{location}/instances/{instance}/users/{user} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SavedColumnSets to return. The service may return fewer than this value. If unspecified, at most 100 saved column sets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `ListColumnSets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListColumnSets` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ListSavedColumnSetsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.savedColumnSets.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).